package com.repair.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/11 星期二 16:39
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eUserZZ {
    User(0),//用户
    Maintenance(1),//维修师傅
    Monitor(2),//管理者（郭班长）
    Logistics(3),//后勤
    Offline(4);//线下

    private int value;

    eUserZZ(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eUserZZ valueOf(int value) {
        switch (value) {
            case 0:
                return eUserZZ.User;
            case 1:
                return eUserZZ.Maintenance;
            case 2:
                return eUserZZ.Monitor;
            case 3:
                return eUserZZ.Logistics;
            case 4:
                return eUserZZ.Offline;
            default:
                return null;
        }
    }
    public static String stringOf(int value) {
        switch (value) {
            case 0:
                return "用户";
            case 1:
                return "维修师傅";
            case 2:
                return "管理者";
            case 3:
                return "后勤";
            case 4:
                return "线下";
            default:
                return null;
        }
    }
}
